Page MenuHomeFreeBSD

The Porter's Handbook Go chapter: Document GO_TESTTARGET
ClosedPublic

Authored by dmgk on Nov 16 2019, 7:26 PM.

Diff Detail

Repository
rD FreeBSD doc repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dmgk created this revision.Nov 16 2019, 7:26 PM
Herald added 1 blocking reviewer(s): mat. · View Herald TranscriptNov 16 2019, 7:26 PM
eadler accepted this revision.Nov 17 2019, 2:44 AM
tobik accepted this revision.Nov 17 2019, 5:23 AM
tobik resigned from this revision.Dec 5 2019, 7:57 AM

No longer relevant/requires changes after rP518928.

dmgk abandoned this revision.Dec 5 2019, 11:31 AM
tobik added a subscriber: tobik.Feb 20 2020, 1:28 PM

Hi Dmitri, do you plan to reclaim/commit this too after rP526567? @eadler already approved it before.

dmgk added a comment.Feb 20 2020, 1:40 PM

Hi Dmitri, do you plan to reclaim/commit this too after rP526567? @eadler already approved it before.

I am, but doesn't this still need approval from @mat first?

dmgk updated this revision to Diff 68591.Feb 20 2020, 1:48 PM

Rename GO_TEST_TARGET to GO_TESTTARGET

dmgk retitled this revision from The Porter's Handbook Go chapter: Document GO_TEST_TARGET to The Porter's Handbook Go chapter: Document GO_TESTTARGET.Feb 20 2020, 1:48 PM
tobik accepted this revision.Feb 20 2020, 1:54 PM
In D22413#522269, @dmgk wrote:

Hi Dmitri, do you plan to reclaim/commit this too after rP526567? @eadler already approved it before.

I am, but doesn't this still need approval from @mat first?

Thanks. I don't think so. You can commit to the doc repository if you have approval from a doc committer. @mat had opportunity before to comment on or veto it.

tobik requested changes to this revision.Feb 20 2020, 1:56 PM

Oh, GO_TESTFLAGS needs to be documented too.

This revision now requires changes to proceed.Feb 20 2020, 1:56 PM
dmgk updated this revision to Diff 68592.Feb 20 2020, 2:03 PM
  • Document GO_TESTFLAGS
  • Correct command name in GO_BUILDFLAGS - go.mk doesn't do go install anymore
tobik accepted this revision.Feb 20 2020, 2:12 PM
This revision was not accepted when it landed; it landed in state Needs Review.Feb 20 2020, 3:32 PM
This revision was automatically updated to reflect the committed changes.